<template>
 <v-container v-if="article">
    <v-row no-gutters> 
     <v-col cols="12" class="pa-2 mt-2 fs-10">
     <p>{{ article.title }}</p>
   </v-col>
   <v-col cols="8" class="pa-2 mt-2">
    <span>Desctiption:</span>
    <p>{{ article.description }}</p>
   </v-col>
   <v-col cols="2"  class="pa-2 mt-2">
   <span>Created at:</span>
   <p>{{ new Date(article.createdAt).toLocaleString('us') }}</p>
</v-col>
<v-col cols="2" class="pa-2 mt-2">
    <span>Updated at:</span>
   <p>{{ new Date(article.updatedAt).toLocaleString('us') }}</p>
</v-col>
<v-col cols="4" class="pa-2 mt-2">
  <h2>{{ article.author.username }}</h2>
</v-col>

    </v-row>
 </v-container>
</template>
<script>
import {mapState} from 'vuex'
export default {
   
   computed:{
    ...mapState({
        article: state => state.article.ArticleDetail
    })
   },
}
</script>